import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { ListSOP } from '../../libappsop/listsop';
import { DialogIngredient } from '../dialogs/dialog.ingredient';

export class FormIngredient extends Form {
  public listIngredient = new ListIngredient();

  public constructor() {
    super('FormIngredients');
  }
}

export class ListIngredient extends ListSOP<DialogIngredient, ListIngredientColumn> {
  public constructor() {
    super('ListIngredient', new DialogIngredient());

    // Set primary key column name(s), to display in error message when assert fails
    this.rowPrimaryColumnNames = {Name: ''};
  }
}

export interface ListIngredientColumn {
  Name?: string;
  Description?: string;
}

const listIngredientContextMenuItem = {
  Create: { ContextMenu: 'listContextMenuIngredient', Name: 'MenuCreate', Label: 'Create' },
};

export { listIngredientContextMenuItem as ListIngredientContextMenuItem };
